org.apache.calcite.avatica.proto

## Interface Requests.ColumnsRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Requests.ColumnsRequest, Requests.ColumnsRequest.Builder

Enclosing class:
  Requests

    public static interface Requests.ColumnsRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getCatalog()` `string catalog = 1;`
`com.google.protobuf.ByteString` `getCatalogBytes()` `string catalog = 1;`
`String` `getColumnNamePattern()` `string column_name_pattern = 4;`
`com.google.protobuf.ByteString` `getColumnNamePatternBytes()` `string column_name_pattern = 4;`
`String` `getConnectionId()` `string connection_id = 5;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `string connection_id = 5;`
`String` `getSchemaPattern()` `string schema_pattern = 2;`
`com.google.protobuf.ByteString` `getSchemaPatternBytes()` `string schema_pattern = 2;`
`String` `getTableNamePattern()` `string table_name_pattern = 3;`
`com.google.protobuf.ByteString` `getTableNamePatternBytes()` `string table_name_pattern = 3;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getCatalog

    String getCatalog()

`string catalog = 1;`

#### getCatalogBytes

    com.google.protobuf.ByteString getCatalogBytes()

`string catalog = 1;`

#### getSchemaPattern

    String getSchemaPattern()

`string schema_pattern = 2;`

#### getSchemaPatternBytes

    com.google.protobuf.ByteString getSchemaPatternBytes()

`string schema_pattern = 2;`

#### getTableNamePattern

    String getTableNamePattern()

`string table_name_pattern = 3;`

#### getTableNamePatternBytes

    com.google.protobuf.ByteString getTableNamePatternBytes()

`string table_name_pattern = 3;`

#### getColumnNamePattern

    String getColumnNamePattern()

`string column_name_pattern = 4;`

#### getColumnNamePatternBytes

    com.google.protobuf.ByteString getColumnNamePatternBytes()

`string column_name_pattern = 4;`

#### getConnectionId

    String getConnectionId()

`string connection_id = 5;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`string connection_id = 5;`